package xyz.fzorb.soup;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.event.player.PlayerItemConsumeEvent;
import org.bukkit.inventory.ItemStack;

public class SoupListener implements Listener {
    @EventHandler
    public static void onPlayerInteract(PlayerInteractEvent event) {
        Player player = event.getPlayer();
        if (event.getItem() == null) { return; }
        if (event.getItem().getType() == Material.MUSHROOM_STEW) {
            event.setCancelled(false);
            if (player.getHealth() != 20) {
                player.setItemInHand(new ItemStack(Material.BOWL));
                player.heal(7);
            }
        }
    }

    @EventHandler
    public static void cancelStewEat(PlayerItemConsumeEvent event) {
        if (Soup.getInstance().getConfig().getBoolean("allowEatingSoup")) { return; }
        Player player = event.getPlayer();
        if (event.getItem().getType() == Material.MUSHROOM_STEW) {
            event.setCancelled(true);
            if (player.getHealth() != 20) {
                player.heal(7);
            }
        }
    }
}
